# startup.py
import logging
from routes.selic import atualizar_selic_com_base_na_competencia

async def executar_rotinas_iniciais(db):
    try:
        await atualizar_selic_com_base_na_competencia(db)
        logging.info("✅ Tabela SELIC atualizada com sucesso na inicialização.")
    except Exception as e:
        logging.error(f"Erro ao atualizar SELIC na inicialização: {str(e)}")
